Get V2 vault allocators
Active allocator addresses for a Morpho Vault V2 and the transaction hash and block number of each latest role grant.
Vault selector example: 1:0x23f5E9c35820f4baB695Ac1F19c203cC3f8e1e11 (format: <chain_id>:<vault_address>; replace with the target vault).
Path Parameters
vault-selector*string
Selector formatted as <chain_id>:<vault_address>. Example: 1:0x23f5E9c35820f4baB695Ac1F19c203cC3f8e1e11.
Format
<chain_id>:<vault_address>Response Body
application/json
curl -X GET "https://example.com/v0/vaults-v2/1:0x23f5E9c35820f4baB695Ac1F19c203cC3f8e1e11/allocators"{ "data": [ { "grant_block_number": "24569063", "role_address": "0x3F32bC09d41eE699844F8296e806417D6bf61Bba", "tx_hash": "0x55105b7f237a881f96b372475578aa8b237fc76d20371499b69104e00c0086ca" } ], "last_indexed_block": "25501833", "params": { "chain_id": 1, "vault_address": "0x23f5E9c35820f4baB695Ac1F19c203cC3f8e1e11" }}GETGet V2 vault allocations
Adapter and cap allocation state of a Morpho Vault V2. Reference for GET /v0/vaults-v2/{vault-selector}/allocations in the Morpho Core API.
GETGet V2 vault APY history
Historical APY for a Morpho Vault V2. Reference for GET /v0/vaults-v2/{vault-selector}/apy/history in the Morpho Core API.